Bug 31165 - Wrong initial privileges of /var/log/postgresql
Summary: Wrong initial privileges of /var/log/postgresql
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-09 15:11 UTC by Pawel Salek
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 19:09:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Salek 2001-03-09 15:11:17 UTC
The %pre server section of the .spec file sets executable bit on the
/var/log/postgresql log file.


Reproducible: Always
Steps to Reproduce:
1.rpm -i postgresql-server
3.ls -l /var/log/postgresql
	

Actual Results:  -rwx------    1 postgres postgres    25115 Mar  9 15:58
/var/log/postgresql


Expected Results:  -rw-------    1 postgres postgres    25115 Mar  9 15:58
/var/log/postgresql

The chmod 0700 /var/log/posgresql command should be replaced by
chmod 0600 /var/log/posgresql

BTW, it wasn't clear to me how to enable logging to this file.
My recomendation would be to at least add a comment to
/etc/rc.d/init.d/postgresql

Comment 1 Trond Eivind Glomsrxd 2001-03-09 19:09:45 UTC
The file should obviously be 0600 instead of 0700... it doesn't hurt, though, so
I'll put it in the next time I fix something.

Comment 2 Trond Eivind Glomsrxd 2001-03-22 22:35:23 UTC
Fixed in postgresql-7.0.3-8.


Note You need to log in before you can comment on or make changes to this bug.